{
    "packages": [
        {
            "name": "chillerlan/php-qrcode",
            "version": "5.0.3",
            "version_normalized": "5.0.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/chillerlan/php-qrcode.git",
                "reference": "42e215640e9ebdd857570c9e4e52245d1ee51de2"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/chillerlan/php-qrcode/zipball/42e215640e9ebdd857570c9e4e52245d1ee51de2",
                "reference": "42e215640e9ebdd857570c9e4e52245d1ee51de2",
                "shasum": ""
            },
            "require": {
                "chillerlan/php-settings-container": "^2.1.6 || ^3.2.1",
                "ext-mbstring": "*",
                "php": "^7.4 || ^8.0"
            },
            "require-dev": {
                "chillerlan/php-authenticator": "^4.3.1 || ^5.2.1",
                "ext-fileinfo": "*",
                "phan/phan": "^5.4.5",
                "phpcompatibility/php-compatibility": "10.x-dev",
                "phpmd/phpmd": "^2.15",
                "phpunit/phpunit": "^9.6",
                "setasign/fpdf": "^1.8.2",
                "slevomat/coding-standard": "^8.15",
                "squizlabs/php_codesniffer": "^3.11"
            },
            "suggest": {
                "chillerlan/php-authenticator": "Yet another Google authenticator! Also creates URIs for mobile apps.",
                "setasign/fpdf": "Required to use the QR FPDF output.",
                "simple-icons/simple-icons": "SVG icons that you can use to embed as logos in the QR Code"
            },
            "time": "2024-11-21T16:12:34+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "chillerlan\\QRCode\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT",
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "Kazuhiko Arase",
                    "homepage": "https://github.com/kazuhikoarase/qrcode-generator"
                },
                {
                    "name": "ZXing Authors",
                    "homepage": "https://github.com/zxing/zxing"
                },
                {
                    "name": "Ashot Khanamiryan",
                    "homepage": "https://github.com/khanamiryan/php-qrcode-detector-decoder"
                },
                {
                    "name": "Smiley",
                    "email": "smiley@chillerlan.net",
                    "homepage": "https://github.com/codemasher"
                },
                {
                    "name": "Contributors",
                    "homepage": "https://github.com/chillerlan/php-qrcode/graphs/contributors"
                }
            ],
            "description": "A QR Code generator and reader with a user-friendly API. PHP 7.4+",
            "homepage": "https://github.com/chillerlan/php-qrcode",
            "keywords": [
                "phpqrcode",
                "qr",
                "qr code",
                "qr-reader",
                "qrcode",
                "qrcode-generator",
                "qrcode-reader"
            ],
            "support": {
                "docs": "https://php-qrcode.readthedocs.io",
                "issues": "https://github.com/chillerlan/php-qrcode/issues",
                "source": "https://github.com/chillerlan/php-qrcode"
            },
            "funding": [
                {
                    "url": "https://ko-fi.com/codemasher",
                    "type": "Ko-Fi"
                }
            ],
            "install-path": "../chillerlan/php-qrcode"
        },
        {
            "name": "chillerlan/php-settings-container",
            "version": "3.2.1",
            "version_normalized": "3.2.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/chillerlan/php-settings-container.git",
                "reference": "95ed3e9676a1d47cab2e3174d19b43f5dbf52681"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/chillerlan/php-settings-container/zipball/95ed3e9676a1d47cab2e3174d19b43f5dbf52681",
                "reference": "95ed3e9676a1d47cab2e3174d19b43f5dbf52681",
                "shasum": ""
            },
            "require": {
                "ext-json": "*",
                "php": "^8.1"
            },
            "require-dev": {
                "phpmd/phpmd": "^2.15",
                "phpstan/phpstan": "^1.11",
                "phpstan/phpstan-deprecation-rules": "^1.2",
                "phpunit/phpunit": "^10.5",
                "squizlabs/php_codesniffer": "^3.10"
            },
            "time": "2024-07-16T11:13:48+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "chillerlan\\Settings\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Smiley",
                    "email": "smiley@chillerlan.net",
                    "homepage": "https://github.com/codemasher"
                }
            ],
            "description": "A container class for immutable settings objects. Not a DI container.",
            "homepage": "https://github.com/chillerlan/php-settings-container",
            "keywords": [
                "Settings",
                "configuration",
                "container",
                "helper"
            ],
            "support": {
                "issues": "https://github.com/chillerlan/php-settings-container/issues",
                "source": "https://github.com/chillerlan/php-settings-container"
            },
            "funding": [
                {
                    "url": "https://www.paypal.com/donate?hosted_button_id=WLYUNAT9ZTJZ4",
                    "type": "custom"
                },
                {
                    "url": "https://ko-fi.com/codemasher",
                    "type": "ko_fi"
                }
            ],
            "install-path": "../chillerlan/php-settings-container"
        },
        {
            "name": "haydenpierce/class-finder",
            "version": "0.4.4",
            "version_normalized": "0.4.4.0",
            "source": {
                "type": "git",
                "url": "git@gitlab.com:hpierce1102/ClassFinder.git",
                "reference": "94c602870ddf8d4fa2d67fb9bae637d88f9bd76e"
            },
            "dist": {
                "type": "zip",
                "url": "https://gitlab.com/api/v4/projects/hpierce1102%2FClassFinder/repository/archive.zip?sha=94c602870ddf8d4fa2d67fb9bae637d88f9bd76e",
                "reference": "94c602870ddf8d4fa2d67fb9bae637d88f9bd76e",
                "shasum": ""
            },
            "require": {
                "ext-json": "*",
                "php": ">=5.3"
            },
            "require-dev": {
                "mikey179/vfsstream": "^1.6",
                "phpunit/phpunit": "~9.0"
            },
            "time": "2022-09-26T22:42:59+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "HaydenPierce\\ClassFinder\\": "src/",
                    "HaydenPierce\\ClassFinder\\UnitTest\\": "test/unit"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Hayden Pierce",
                    "email": "hayden@haydenpierce.com"
                }
            ],
            "description": "A library that can provide of a list of classes in a given namespace",
            "install-path": "../haydenpierce/class-finder"
        },
        {
            "name": "paragonie/constant_time_encoding",
            "version": "v3.0.0",
            "version_normalized": "3.0.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/paragonie/constant_time_encoding.git",
                "reference": "df1e7fde177501eee2037dd159cf04f5f301a512"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/paragonie/constant_time_encoding/zipball/df1e7fde177501eee2037dd159cf04f5f301a512",
                "reference": "df1e7fde177501eee2037dd159cf04f5f301a512",
                "shasum": ""
            },
            "require": {
                "php": "^8"
            },
            "require-dev": {
                "phpunit/phpunit": "^9",
                "vimeo/psalm": "^4|^5"
            },
            "time": "2024-05-08T12:36:18+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "ParagonIE\\ConstantTime\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Paragon Initiative Enterprises",
                    "email": "security@paragonie.com",
                    "homepage": "https://paragonie.com",
                    "role": "Maintainer"
                },
                {
                    "name": "Steve 'Sc00bz' Thomas",
                    "email": "steve@tobtu.com",
                    "homepage": "https://www.tobtu.com",
                    "role": "Original Developer"
                }
            ],
            "description": "Constant-time Implementations of RFC 4648 Encoding (Base-64, Base-32, Base-16)",
            "keywords": [
                "base16",
                "base32",
                "base32_decode",
                "base32_encode",
                "base64",
                "base64_decode",
                "base64_encode",
                "bin2hex",
                "encoding",
                "hex",
                "hex2bin",
                "rfc4648"
            ],
            "support": {
                "email": "info@paragonie.com",
                "issues": "https://github.com/paragonie/constant_time_encoding/issues",
                "source": "https://github.com/paragonie/constant_time_encoding"
            },
            "install-path": "../paragonie/constant_time_encoding"
        },
        {
            "name": "paragonie/random_compat",
            "version": "v9.99.100",
            "version_normalized": "9.99.100.0",
            "source": {
                "type": "git",
                "url": "https://github.com/paragonie/random_compat.git",
                "reference": "996434e5492cb4c3edcb9168db6fbb1359ef965a"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/paragonie/random_compat/zipball/996434e5492cb4c3edcb9168db6fbb1359ef965a",
                "reference": "996434e5492cb4c3edcb9168db6fbb1359ef965a",
                "shasum": ""
            },
            "require": {
                "php": ">= 7"
            },
            "require-dev": {
                "phpunit/phpunit": "4.*|5.*",
                "vimeo/psalm": "^1"
            },
            "suggest": {
                "ext-libsodium": "Provides a modern crypto API that can be used to generate random bytes."
            },
            "time": "2020-10-15T08:29:30+00:00",
            "type": "library",
            "installation-source": "dist",
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Paragon Initiative Enterprises",
                    "email": "security@paragonie.com",
                    "homepage": "https://paragonie.com"
                }
            ],
            "description": "PHP 5.x polyfill for random_bytes() and random_int() from PHP 7",
            "keywords": [
                "csprng",
                "polyfill",
                "pseudorandom",
                "random"
            ],
            "support": {
                "email": "info@paragonie.com",
                "issues": "https://github.com/paragonie/random_compat/issues",
                "source": "https://github.com/paragonie/random_compat"
            },
            "install-path": "../paragonie/random_compat"
        },
        {
            "name": "phpseclib/phpseclib",
            "version": "3.0.43",
            "version_normalized": "3.0.43.0",
            "source": {
                "type": "git",
                "url": "https://github.com/phpseclib/phpseclib.git",
                "reference": "709ec107af3cb2f385b9617be72af8cf62441d02"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/phpseclib/phpseclib/zipball/709ec107af3cb2f385b9617be72af8cf62441d02",
                "reference": "709ec107af3cb2f385b9617be72af8cf62441d02",
                "shasum": ""
            },
            "require": {
                "paragonie/constant_time_encoding": "^1|^2|^3",
                "paragonie/random_compat": "^1.4|^2.0|^9.99.99",
                "php": ">=5.6.1"
            },
            "require-dev": {
                "phpunit/phpunit": "*"
            },
            "suggest": {
                "ext-dom": "Install the DOM extension to load XML formatted public keys.",
                "ext-gmp": "Install the GMP (GNU Multiple Precision) extension in order to speed up arbitrary precision integer arithmetic operations.",
                "ext-libsodium": "SSH2/SFTP can make use of some algorithms provided by the libsodium-php extension.",
                "ext-mcrypt": "Install the Mcrypt extension in order to speed up a few other cryptographic operations.",
                "ext-openssl": "Install the OpenSSL extension in order to speed up a wide variety of cryptographic operations."
            },
            "time": "2024-12-14T21:12:59+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "phpseclib/bootstrap.php"
                ],
                "psr-4": {
                    "phpseclib3\\": "phpseclib/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Jim Wigginton",
                    "email": "terrafrost@php.net",
                    "role": "Lead Developer"
                },
                {
                    "name": "Patrick Monnerat",
                    "email": "pm@datasphere.ch",
                    "role": "Developer"
                },
                {
                    "name": "Andreas Fischer",
                    "email": "bantu@phpbb.com",
                    "role": "Developer"
                },
                {
                    "name": "Hans-Jürgen Petrich",
                    "email": "petrich@tronic-media.com",
                    "role": "Developer"
                },
                {
                    "name": "Graham Campbell",
                    "email": "graham@alt-three.com",
                    "role": "Developer"
                }
            ],
            "description": "PHP Secure Communications Library - Pure-PHP implementations of RSA, AES, SSH2, SFTP, X.509 etc.",
            "homepage": "http://phpseclib.sourceforge.net",
            "keywords": [
                "BigInteger",
                "aes",
                "asn.1",
                "asn1",
                "blowfish",
                "crypto",
                "cryptography",
                "encryption",
                "rsa",
                "security",
                "sftp",
                "signature",
                "signing",
                "ssh",
                "twofish",
                "x.509",
                "x509"
            ],
            "support": {
                "issues": "https://github.com/phpseclib/phpseclib/issues",
                "source": "https://github.com/phpseclib/phpseclib/tree/3.0.43"
            },
            "funding": [
                {
                    "url": "https://github.com/terrafrost",
                    "type": "github"
                },
                {
                    "url": "https://www.patreon.com/phpseclib",
                    "type": "patreon"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/phpseclib/phpseclib",
                    "type": "tidelift"
                }
            ],
            "install-path": "../phpseclib/phpseclib"
        },
        {
            "name": "setasign/fpdf",
            "version": "1.8.2",
            "version_normalized": "1.8.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/Setasign/FPDF.git",
                "reference": "d77904018090c17dc9f3ab6e944679a7a47e710a"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/Setasign/FPDF/zipball/d77904018090c17dc9f3ab6e944679a7a47e710a",
                "reference": "d77904018090c17dc9f3ab6e944679a7a47e710a",
                "shasum": ""
            },
            "time": "2019-12-08T10:32:10+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "classmap": [
                    "fpdf.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Olivier Plathey",
                    "email": "oliver@fpdf.org",
                    "homepage": "http://fpdf.org/"
                }
            ],
            "description": "FPDF is a PHP class which allows to generate PDF files with pure PHP. F from FPDF stands for Free: you may use it for any kind of usage and modify it to suit your needs.",
            "homepage": "http://www.fpdf.org",
            "keywords": [
                "fpdf",
                "pdf"
            ],
            "support": {
                "source": "https://github.com/Setasign/FPDF/tree/1.8.2"
            },
            "install-path": "../setasign/fpdf"
        },
        {
            "name": "setasign/fpdi",
            "version": "v2.6.3",
            "version_normalized": "2.6.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/Setasign/FPDI.git",
                "reference": "67c31f5e50c93c20579ca9e23035d8c540b51941"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/Setasign/FPDI/zipball/67c31f5e50c93c20579ca9e23035d8c540b51941",
                "reference": "67c31f5e50c93c20579ca9e23035d8c540b51941",
                "shasum": ""
            },
            "require": {
                "ext-zlib": "*",
                "php": "^7.1 || ^8.0"
            },
            "conflict": {
                "setasign/tfpdf": "<1.31"
            },
            "require-dev": {
                "phpunit/phpunit": "^7",
                "setasign/fpdf": "~1.8.6",
                "setasign/tfpdf": "~1.33",
                "squizlabs/php_codesniffer": "^3.5",
                "tecnickcom/tcpdf": "^6.2"
            },
            "suggest": {
                "setasign/fpdf": "FPDI will extend this class but as it is also possible to use TCPDF or tFPDF as an alternative. There's no fixed dependency configured."
            },
            "time": "2025-02-05T13:22:35+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "setasign\\Fpdi\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Jan Slabon",
                    "email": "jan.slabon@setasign.com",
                    "homepage": "https://www.setasign.com"
                },
                {
                    "name": "Maximilian Kresse",
                    "email": "maximilian.kresse@setasign.com",
                    "homepage": "https://www.setasign.com"
                }
            ],
            "description": "FPDI is a collection of PHP classes facilitating developers to read pages from existing PDF documents and use them as templates in FPDF. Because it is also possible to use FPDI with TCPDF, there are no fixed dependencies defined. Please see suggestions for packages which evaluates the dependencies automatically.",
            "homepage": "https://www.setasign.com/fpdi",
            "keywords": [
                "fpdf",
                "fpdi",
                "pdf"
            ],
            "support": {
                "issues": "https://github.com/Setasign/FPDI/issues",
                "source": "https://github.com/Setasign/FPDI/tree/v2.6.3"
            },
            "funding": [
                {
                    "url": "https://tidelift.com/funding/github/packagist/setasign/fpdi",
                    "type": "tidelift"
                }
            ],
            "install-path": "../setasign/fpdi"
        }
    ],
    "dev": false,
    "dev-package-names": []
}
